# Class Mx1Feature

java.lang.Object
com.io7m.montarre.xml.internal.v1.Mx1Feature

All Implemented Interfaces:
  `com.io7m.blackthorne.core.BTElementHandlerType<Object,MFeature>`

public final class Mx1Feature extends Object implements com.io7m.blackthorne.core.BTElementHandlerType<Object,MFeature>
A parser.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Mx1Feature(com.io7m.blackthorne.core.BTElementParsingContextType context)`
  A parser.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onCharacters(com.io7m.blackthorne.core.BTElementParsingContextType context, char[] data, int offset, int length)`
  `MFeature`
  `onElementFinished(com.io7m.blackthorne.core.BTElementParsingContextType context)`
  `void`
  `onElementStart(com.io7m.blackthorne.core.BTElementParsingContextType context, Attributes attributes)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.blackthorne.core.BTElementHandlerType

  `map, name, onChildHandlersRequested, onChildValueProduced, onShouldIgnoreUnrecognizedElements`

- ## Constructor Details

  - ### Mx1Feature

    public Mx1Feature(com.io7m.blackthorne.core.BTElementParsingContextType context)
    A parser.
    Parameters:
      `context` - The context

- ## Method Details

  - ### onCharacters

    public void onCharacters(com.io7m.blackthorne.core.BTElementParsingContextType context, char[] data, int offset, int length)
    Specified by:
      `onCharacters` in interface `com.io7m.blackthorne.core.BTElementHandlerType<Object,MFeature>`

  - ### onElementStart

    public void onElementStart(com.io7m.blackthorne.core.BTElementParsingContextType context, Attributes attributes)
    Specified by:
      `onElementStart` in interface `com.io7m.blackthorne.core.BTElementHandlerType<Object,MFeature>`

  - ### onElementFinished

    public MFeature onElementFinished(com.io7m.blackthorne.core.BTElementParsingContextType context)
    Specified by:
      `onElementFinished` in interface `com.io7m.blackthorne.core.BTElementHandlerType<Object,MFeature>`